### Method

# Adw NavigationPageset_tag

since: 1.4

#### Declaration [src]

    void
    adw_navigation_page_set_tag (
      AdwNavigationPage* self,
      const char* tag
    )

#### Description [src]

Sets the tag for `self`.

The tag can be used to retrieve the page with `adw_navigation_view_find_page()`, as well as with `adw_navigation_view_push_by_tag()`, `adw_navigation_view_pop_to_tag()` or `adw_navigation_view_replace_with_tags()`.

Tags must be unique within each `AdwNavigationView`.

The tag also must be set to use the `navigation.push` action.

Available since: 1.4

Sets property | `Adw.NavigationPage:tag`

#### Parameters

`tag`

  Type: `const char*`

  The page tag.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.